org.eclipse.ease.debugging.events

## Class ScriptReadyEvent

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent
  - - org.eclipse.ease.debugging.events.ScriptReadyEvent

All Implemented Interfaces:
  IDebugEvent, IDebuggerEvent

    public class ScriptReadyEvent
    extends AbstractEvent
    implements IDebuggerEvent

### Constructor Summary

Constructors
Constructor and Description
`ScriptReadyEvent(Script script, Thread thread, boolean root)`

### Method Summary

Methods
`Script` `getScript()`
`Thread` `getThread()`
`boolean` `isRoot()`

### Methods inherited from class org.eclipse.ease.debugging.events.AbstractEvent

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptReadyEvent

    public ScriptReadyEvent(Script script,
                    Thread thread,
                    boolean root)

### Method Detail

#### getScript

    public Script getScript()

#### getThread

    public Thread getThread()

#### isRoot

    public boolean isRoot()